Trade
Security Type: TRADE
Endpoints under Trade require an API key and a signature.
New Order
POST https://openapi.idax.exchange/sapi/v2/margin/order
Rate Limit: 100 times/2s
| Name | Type | Description |
|---|
| X-CH-SIGN | string | Sign |
| X-CH-TS | string | Timestamp |
| X-CH-APIKEY | string | Your API key |
Request Body
| Name | Type | Description |
|---|
| type | string | Type of the order: LIMIT/MARKET |
| price | number | Order price, REQUIRED for LIMIT orders |
| newClientOrderId | string | Unique order ID generated by users to mark their orders. Cannot exceed 32 characters. |
| side | string | Side of the order: BUY/SELL |
| volume | number | Order volume. For MARKET BUY orders, vol = amount. |
| symbol | string | Symbol Name E.g. BTC/USDT |
{
"symbol": "LXTUSDT",
"orderId": "494736827050147840",
"clientOrderId": "157371322565051",
"transactTime": "1573713225668",
"price": "0.005452",
"origQty": "110",
"executedQty": "0",
"status": "NEW",
"type": "LIMIT",
"side": "SELL"
}
weight(IP/UID): 5
Query Order
GET https://openapi.idax.exchange/sapi/v2/margin/order
Rate Limit: 20 times/2s
Query Parameters
| Name | Type | Description |
|---|
| orderId | string | Order ID |
| newClientOrderId | string | Client Order ID, unique order ID generated by users to mark their orders. E.g. 354444heihieddada |
| symbol | string | Symbol Name E.g. BTC/USDT |
| Name | Type | Description |
|---|
| X-CH-SIGN | string | Sign |
| X-CH-TS | string | Timestamp |
| X-CH-APIKEY | string | Your API key |
{
"orderId": "499890200602846976",
"clientOrderId": "157432755564968",
"symbol": "BHTUSDT",
"price": "0.01",
"origQty": "50",
"executedQty": "0",
"avgPrice": "0",
"status": "NEW",
"type": "LIMIT",
"side": "BUY",
"transactTime": "1574327555669"
}
weight(IP/UID): 5
Cancel Order
POST https://openapi.idax.exchange/sapi/v2/margin/cancel
Rate Limit: 100 times/2s
| Name | Type | Description |
|---|
| X-CH-SIGN | string | Sign |
| X-CH-TS | string | Timestamp |
| X-CH-APIKEY | string | Your API key |
Request Body
| Name | Type | Description |
|---|
| newClientOrderId | string | Client Order ID |
| symbol | string | Symbol Name E.g. BTC/USDT |
| orderId | string | Order ID |
{
"symbol": "BHTUSDT",
"clientOrderId": "0",
"orderId": "499890200602846976",
"status": "CANCELED"
}
weight(IP/UID): 5
Current Open Orders
GET https://openapi.idax.exchange/sapi/v2/margin/openOrders
Rate Limit: 20 times/2s
Query Parameters
| Name | Type | Description |
|---|
| symbol | string | Symbol Name E.g. BTC/USDT |
| limit | string | Default 100; Max 1000 |
| Name | Type | Description |
|---|
| X-CH-SIGN | string | Sign |
| X-CH-TS | string | Timestamp |
| X-CH-APIKEY | string | Your API key |
[
{
"orderId": "499902955766523648",
"symbol": "BHTUSDT",
"price": "0.01",
"origQty": "50",
"executedQty": "0",
"avgPrice": "0",
"status": "NEW",
"type": "LIMIT",
"side": "BUY",
"time": "1574329076202"
}
]
weight(IP/UID): 1
Trades
GET https://openapi.idax.exchange/sapi/v2/margin/myTrades
Query Parameters
| Name | Type | Description |
|---|
| symbol | string | Symbol Name E.g. BTC/USDT |
| limit | string | Default 100; Max 1000 |
| fromId | string | Trade ID to fetch from |
| Name | Type | Description |
|---|
| X-CH-SIGN | string | Sign |
| X-CH-TS | string | Timestamp |
| X-CH-APIKEY | string | Your API key |
[
{
"symbol": "ETHBTC",
"id": 100211,
"bidId": 150695552109032492,
"askId": 150695552109032493,
"price": "4.00000100",
"qty": "12.00000000",
"time": 1499865549590,
"isBuyer": true,
"isMaker": false,
"feeCoin": "ETH",
"fee": "0.001"
}
]
weight(IP/UID): 1